using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace frilenseri
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] a = new double[n];
            double[] p = new double[n];
            for (int i=0; i< n; i++)
            {
                string[] s = Console.ReadLine().Split();
                a[i] = double.Parse(s[0]);
                p[i] = double.Parse(s[1]);
            }
            double max = 0;
            for (int i = 0; i < n; i++)
            {
                double x = 0;
                for (int j = 0; j < n; j++)
                {
                    if (p[i] <= p[j]) x = x + a[j];
                }
                x = (x * p[i]) / 100;
                max = Math.Max(max, x);
            }
            Console.WriteLine(max);
        }
    }
}